# render

### `getCameraPosition(): Vector3`

Returns a 3-dimensional vector that stores the camera position.

### `rectangle(x, y, width, height, color): Undefined`

### `rectangle(x, y, width, height): Undefined`

### `rainbowRectangle(x, y, width, height): Undefined`

### `centeredRectangle(x, y, width, height, color): Undefined`

### `centeredRectangle(x, y, width, height): Undefined`

### `roundedRectangle(x, y, width, height, radius, color)`

### `roundedRectangleOutline(x, y, width, height, radius, thickness)`

| Argument    | Type       | Description                                    |
| ----------- | ---------- | ---------------------------------------------- |
| `x`         | `Number`   | X position.                                    |
| `y`         | `Number`   | Y position.                                    |
| `width`     | `Number`   | Rectangle width                                |
| `height`    | `Number`   | Rectangle height                               |
| `radius`    | `Number`   | Rounding radius.                               |
| `thickness` | `Number`   | Rounded outline rectangle thickness.           |
| `color`     | `Number[]` | 3 or 4 dimensional array with the RGBA colors. |

Renders a rectangle. Names are self-explanatory.

### `renderItemIcon(x, y, itemstack): Undefined`

| Argument    | Type                                                                                                                | Description     |
| ----------- | ------------------------------------------------------------------------------------------------------------------- | --------------- |
| `x`         | `Number`                                                                                                            | X position.     |
| `y`         | `Number`                                                                                                            | Y position.     |
| `itemstack` | [`ItemStack`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/itemstack) | Item to render. |

Renders an item icon.

### `drawLine3D(xFrom, yFrom, zFrom, xTo, yTo, zTo, color, width)`

### `drawLine3D(vectorFrom, vectorTo, color, width)`

| Argument                              | Type                  | Description                                    |
| ------------------------------------- | --------------------- | ---------------------------------------------- |
| `xFrom, yFrom, zFrom` or `vectorFrom` | `Number` or `Vector3` | First position                                 |
| `xTo, yTo, zTo` or `vectorTo`         | `Number` or `Vector3` | Second position                                |
| `color`                               | `Number[]`            | 3 or 4 dimensional array with the RGBA colors. |
| `width`                               | `Number`              | Line width.                                    |

Draws a line from one position in the world to another.

### `smoothCamera(): Undefined`

Smoothes the camera out on the Y position by not updating the camera Y position.

### `getMinecraftFontRenderer():` [`FontRenderer`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer)

### `getCustomFontRenderer(name, size, antialiasing):` [`FontRenderer`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer)

### `getCustomFontRendererBold(name, size, antialiasing):` [`FontRenderer`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer)

### `getCustomFontRendererItalic(name, size, antialiasing):` [`FontRenderer`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer)

### `getCustomFontRendererBoldItalic(name, size, antialiasing):` [`FontRenderer`](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer)

| Argument       | Type      | Description                                               |
| -------------- | --------- | --------------------------------------------------------- |
| `name`         | `String`  | Font name                                                 |
| `size`         | `Number`  | Font size                                                 |
| `antialiasing` | `Boolean` | Whether to use anti-aliasing on the font renderer or not. |

Creates and returns a new [FontRenderer object](https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/objects/fontrenderer).

### `getEyeHeight(): Number`

Returns the eye height.

### `getThemeColor(): Number[]`

Returns the theme accent color.

### `getBackgroundShade(): Number[]`

Returns the background color of Rise Elements, can be used to make your visuals match Rise's.

### `getDropShadow(): Number[]`

Returns the bloom drop shadow color of Rise Elements, can be used to make your visuals match Rise's.

### `blur(callback): Undefined`

### `bloom(callback): Undefined`

### `outline(callback): Undefined`

| Argument   | Type                  | Description                                          |
| ---------- | --------------------- | ---------------------------------------------------- |
| `callback` | `Function<Undefined>` | Body of the function to apply a specified effect to. |

Applies an effect to a block of code.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://riseclients-organization.gitbook.io/rise-6-scripting-api/api-documentation/global-namespaces/render.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
